# Module yapp_event_handler

- Description
- Function Index
- Function Details

Yapp event handler.

Introduced in: 3 Jun 2006 by Mikael Karlsson <mikael@creado.se>

Behaviours: `gen_event`.

Authors: Mikael Karlsson (`mikael@creado.se`).

See also: yapp_handler.

## Description

Yapp event handler.

Listens for hup events from the Yaws event manager and makes sure that the yapp_handler reinitialise all yapps in case a hup (which resets the Yaws configuration from yaws.conf) occurs.

## Function Index

add_handler/2 |
code_change/3 |
handle_call/2 |
handle_event/2 |
handle_info/2 |
init/1 |
terminate/2 |

## Function Details

### add_handler/2

`add_handler(EventManager, YappServer) -> any()`

### code_change/3

`code_change(OldVsn, State, Extra) -> any()`

### handle_call/2

`handle_call(Request, State) -> any()`

### handle_event/2

`handle_event(Event, State) -> any()`

### handle_info/2

`handle_info(Info, State) -> any()`

### init/1

`init(X1) -> any()`

### terminate/2

`terminate(Reason, State) -> any()`

Generated by EDoc